/*
Theme Name: Wexico Child
Template:   wexico
Theme URI: https://1.envato.market/DK7X7j
Description: Wexico Child Theme
Author: Awaiken
Author URI: https://awaikenthemes.com/
Version: 1.0.0
Text Domain: wexico-child
*/

:root {
    --e-global-typography-primary-font-size: 50px;
    --e-global-typography-primary-font-weight: 600;
    --e-global-typography-primary-line-height: 1.1em;
    --e-global-typography-primary-letter-spacing: -0.03em;
    --e-global-color-24250ce: #FFFFF;
    --e-global-color-secondary: #F5F7FA;
    --e-global-color-accent: #FF8159;
    --e-global-color-blue: #42ACDE;
}

.sector-container img.attachment-thumbnail.size-thumbnail.wp-post-image {
    border-radius: 50%;
    border: 2px solid var(--e-global-color-accent);
    width: 100px;
    height: 100px;
    object-fit: cover;
}

.sector-container {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;
    margin-bottom: 25px;
}

.sector-item {
    background-color: var(--e-global-color-secondary);
    border-radius: 40px;
}

.sector-item>div:first-child {
    min-width: 100px;
    min-height: 100px;
}

@media (max-width:1024px) {
    .sector-container {
        grid-template-columns: 1fr 1fr;
    }
}

#footer-section .e-con-inner .e-child {
    background-color: var(--e-global-color-blue);
}

#header-section {
    position: fixed;
    top: 0;
    background-color: white;
    z-index: 10;
}

body .elementor:first-child {
    margin-top: 180px;
}

#banner-title {
    position: absolute;
    bottom: 0;
    background: #d5d5d5;
    opacity: 0.8;
    left: 0;
    border-radius: 0px 40px 0px 40px;
    padding-right: 15px;
}

div#banner-title>div {
    padding: 10px 25px;
}

#banner-title .elementor-widget-container h1 {
    color: #10658df7;
    font-size: 30px;
}

.e-child:has(#banner-title) {
    --min-height: 465px;
}

.elementor:has(#footer-section) {
    margin-top: 0px;
}

#blog-section .elementor-widget-container .ekit-wid-con .post-items [class^="col-lg-"] {
    margin-bottom: 30px;
}

#blog-section .elementor-widget-container .ekit-wid-con .post-items [class^="col-lg-"] .elementskit-post-image-card .elementskit-entry-header a img {
    border-radius: 15px;
}

#blog-section .elementor-widget-container .ekit-wid-con .post-items [class^="col-lg-"] .elementskit-post-image-card .elementskit-post-body .entry-title a {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    -webkit-box-orient: vertical;
}

#blog-section .elementor-widget-container .ekit-wid-con .post-items [class^="col-lg-"] .elementskit-post-image-card .elementskit-post-body .btn-wraper a svg {
    margin-left: 5px;
}

.single-post .page-header {
    display: none;
}

.single-post .page-single-post {
    padding: 0px 0;
}

.post-tag-links {
    margin-bottom: 50px;
}

@media (max-width:540px) {
    #banner-title .elementor-widget-container h1 {
        font-size: 24px;
    }
    div#banner-title>div {
        max-width: 320px;
    }
}

@media (max-width: 540px) {
    .sector-container {
        grid-template-columns: 100%;
    }
    .ata-site-logo-container {
        width: 100px;
    }
    body .elementor:first-child {
        margin-top: 5px;
    }
    [data-elementor-type="wp-page"]>div:first-of-type {
        margin-top: 120px;
    }
    .sector-container img.attachment-thumbnail.size-thumbnail.wp-post-image {
        width: 70px;
        height: 70px;
    }
    .sector-item>div:first-child {
        min-width: 70px;
        min-height: 70px;
    }
    .post-single-image .image-anime {
        position: relative;
        overflow: hidden;
        margin-bottom: 30px;
        margin-top: 99px;
    }
}

@media (max-width: 1024px) {
    .ata-site-logo-container {
        width: 100px;
    }
}